
package com.ejie.ab63.clientesWS.X43ExpedienteElectronico;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;

/**
 * <p>
 * Java class for TReviewStatus.
 * 
 * <p>
 * The following schema fragment specifies the expected content contained within
 * this class.
 * <p>
 * 
 * <pre>
 * &lt;simpleType name="TReviewStatus">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="sent"/>
 *     &lt;enumeration value="modified"/>
 *     &lt;enumeration value="reviewed"/>
 *     &lt;enumeration value="suspension"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "TReviewStatus")
@XmlEnum
public enum TReviewStatus {

	@XmlEnumValue("sent")
	SENT("sent"), @XmlEnumValue("modified")
	MODIFIED("modified"), @XmlEnumValue("reviewed")
	REVIEWED("reviewed"), @XmlEnumValue("suspension")
	SUSPENSION("suspension");
	private final String value;

	TReviewStatus(String v) {
		value = v;
	}

	public String value() {
		return value;
	}

	public static TReviewStatus fromValue(String v) {
		for (TReviewStatus c : TReviewStatus.values()) {
			if (c.value.equals(v)) {
				return c;
			}
		}
		throw new IllegalArgumentException(v);
	}

}
